#ifndef __TOURNAMENT_H__
#define __TOURNAMENT_H__
#include <vector>
#include "restaurant.h"

using namespace std;

class tournament {
    private:
        vector<restaurant> restaurants;
        vector<restaurant> losers;
    public:
        tournament(){};
        void display_restaurant(); 
        bool populate_restaurants(string filename);
        bool already_in(string name);
        void add_restaurants(); 
        void remove_restaurants();
        void shuffle();
        bool start_tournament();
        bool verify_size();
        friend ostream & operator<<(ostream & os, tournament & t);
};

#endif
